## nflog-bindings 0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4)

SET(VERSION "0.1")

STRING(COMPARE EQUAL "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" insource)
IF(insource)
  MESSAGE(FATAL_ERROR "nflog-bindings requires an out of source build. Please create a separate build directory and run 'cmake path_to_nflog_bindings [options]' there.")
ENDIF(insource)

# cmake --help-policy CMP0003
IF(COMMAND cmake_policy)
  cmake_policy(SET CMP0003 NEW)
ENDIF(COMMAND cmake_policy)

FIND_PACKAGE(SWIG REQUIRED)
INCLUDE(${SWIG_USE_FILE})

INCLUDE(UsePkgConfig)
PKGCONFIG(libnetfilter_log LIBNFLOG_INCLUDE_DIR LIBNFLOG_LINK_DIR LIBNFLOG_LINK_FLAGS LIBNFLOG_CFLAGS)

IF (NOT LIBNFLOG_INCLUDE_DIR)
  MESSAGE(FATAL_ERROR "libnetfilter_log was not found")
ENDIF (NOT LIBNFLOG_INCLUDE_DIR)

SET( LIB_SUFFIX "" CACHE STRING "The library directory suffix. 32bit empty string, 64 for 64bit." )
SET( LIB_INSTALL_DIR  "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" )

ADD_SUBDIRECTORY(python)
ADD_SUBDIRECTORY(perl)

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/nflog_version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/nflog_version.h)

=== Makefile ===
PREFIX = /usr/local
CMAKE_OPTIONS = -DDEBUG=1 -DCMAKE_VERBOSE_MAKEFILE=0 -DCMAKE_BUILD_TYPE=Debug -DCMAKE_INSTALL_PREFIX=$(PREFIX)

all:
	[ -d build ] || mkdir build; \
	cd build && cmake $(CMAKE_OPTIONS) .. && $(MAKE)

install: all
	cd build && $(MAKE) install

clean:
	rm -rf build

=== perl/CMakeLists.txt ===
SET(SOURCES ../nflog.c ../nflog_common.c ../nflog_utils.c)

SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}")
FIND_PACKAGE(Perl)
FIND_PACKAGE(PerlLibs2)

IF ( PERL_EXECUTABLE )
	EXEC_PROGRAM( ${PERL_EXECUTABLE} ARGS "-e 'use Config; print \$Config{revision},\"\\n\"'" OUTPUT_VARIABLE PERL_VERSION )
ENDIF ( PERL_EXECUTABLE )

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR})
INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR})
INCLUDE_DIRECTORIES(${LIBNFLOG_INCLUDE_DIR})

INCLUDE_DIRECTORIES(${PERL_INCLUDE_PATH})
IF(PERL_EXTRA_C_FLAGS)
  ADD_DEFINITIONS(${PERL_EXTRA_C_FLAGS})
ENDIF(PERL_EXTRA_C_FLAGS)

SWIG_ADD_MODULE(nflog perl nflog.i ${SOURCES})
SWIG_LINK_LIBRARIES(nflog ${PERL_LIBRARY} ${LIBNFLOG_LINK_FLAGS})

INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/nflog.pm
	DESTINATION ${LIB_INSTALL_DIR}/perl${PERL_VERSION}/)

INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/nflog.so
	DESTINATION ${LIB_INSTALL_DIR}/perl${PERL_VERSION}/)

=== python/CMakeLists.txt ===
FIND_PACKAGE(PythonInterp)
FIND_PACKAGE(PythonLibs)
INCLUDE_DIRECTORIES(${PYTHON_INCLUDE_PATH})

IF ( PYTHON_EXECUTABLE )
	EXEC_PROGRAM( ${PYTHON_EXECUTABLE} ARGS "-c \"import sys; print sys.version[:3]\"" OUTPUT_VARIABLE PYTHON_VERSION )
	STRING( REGEX REPLACE "[\r\n]" " " PYTHON_VERSION "${PYTHON_VERSION}"  )
ENDIF ( PYTHON_EXECUTABLE )

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR})
INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR})
INCLUDE_DIRECTORIES(${LIBNFLOG_INCLUDE_DIR})

SET(SOURCES ../nflog.c ../nflog_common.c ../nflog_utils.c)
SET(CMAKE_SWIG_FLAGS "")

SWIG_ADD_MODULE(nflog python nflog.i ${SOURCES})
SWIG_LINK_LIBRARIES(nflog ${PYTHON_LIBRARIES} ${LIBNFLOG_LINK_FLAGS})

INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/nflog.py
	DESTINATION ${LIB_INSTALL_DIR}/python${PYTHON_VERSION}/site-packages/)

INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/_nflog.so
	DESTINATION ${LIB_INSTALL_DIR}/python${PYTHON_VERSION}/site-packages/)

=== debian/changelog ===
nflog-bindings (0.1-2) unstable; urgency=low

  * Add patch to support extra arguments in Makefile
  * Switch to dh_python2
  * Build package for all recent versions of Python (Closes: #642443)
  * Bump Standards Version to 3.9.2

 -- Pierre Chifflier <pollux@debian.org>  Thu, 22 Sep 2011 21:52:02 +0200

nflog-bindings (0.1-1) unstable; urgency=low

  * Initial release (Closes: #609121)

 -- Pierre Chifflier <pollux@debian.org>  Thu, 06 Jan 2011 11:25:48 +0100

=== debian/control ===
Source: nflog-bindings
Section: libs
Priority: extra
XS-Python-Version: >= 2.6
Maintainer: Pierre Chifflier <pollux@debian.org>
Build-Depends: debhelper (>= 5),
    cmake (>= 2.4.5),
    swig (>= 1.3),
    libperl-dev,
    python-all-dev (>= 2.6.6-3~),
    libnetfilter-log-dev,
    chrpath
Standards-Version: 3.9.2
Homepage: https://www.wzdftpd.net/redmine/projects/nflog-bindings/wiki/

Package: libnflog-perl
Section: perl
Architecture: any
Replaces: nflog-bindings-perl
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Perl bindings for nflog
 nflog-bindings is a set of high-level modules for several languages
 (Python and Perl, for the moment), for libnetfilter_log.
 It provides a userspace API to access packets that have been queued by
 the kernel packet filter using the NFLOG target.
 .
 This package contains the Perl bindings for nflog.

Package: python-nflog
Section: python
Architecture: any
Replaces: nflog-bindings-python
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Python bindings for nflog
 nflog-bindings is a set of high-level modules for several languages
 (Python and Perl, for the moment), for libnetfilter_log.
 It provides a userspace API to access packets that have been queued by
 the kernel packet filter using the NFLOG target.
 .
 This package contains the Python bindings for nflog.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules file for nflog-bindings
# written by Pierre Chifflier <pollux@debian.org>
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

export DH_PYCENTRAL=nomove

PYVERS=$(shell pyversions -vr)




configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: configure-stamp build-arch

build-arch: $(PYVERS:%=build-python%)
build-python%:
	make BUILD_DIR="build$*" CMAKE_EXTRA_OPTIONS="-DPython_ADDITIONAL_VERSIONS=$*"
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp build-python2.*

	# Add here commands to clean up after the build process.
	rm -rf build build2.[67]

	dh_clean 

install: install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i 
	dh_installdirs -i

	# Add here commands to install the indep part of the package into
	# debian/<package>-doc.
	#INSTALLDOC#

	dh_install -i

install-arch: install-core $(PYVERS:%=install-python%)
	dh_install -s --list-missing --sourcedir=debian/tmp

install-core:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s

install-python%:
	# Add here commands to install the arch part of the package into
	# debian/tmp.
	$(MAKE) -C build$* DESTDIR=$(CURDIR)/debian/tmp install
	mv $(CURDIR)/debian/tmp/usr/local/lib/perl5 $(CURDIR)/debian/tmp/usr/lib/perl5
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/python2.*/*/*.so

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate	
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_perl
	dh_python2 -ppython-nfqueue
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure

## nflog-bindings 0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-cmake_minimum_required(VERSION 2.4)
+cmake_minimum_required(VERSION 2.6)
 
-SET(VERSION "0.1")
+SET(VERSION "0.2")
 
 STRING(COMPARE EQUAL "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" insource)
 IF(insource)

=== perl/CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,6 @@
 INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/nflog.pm
 	DESTINATION ${LIB_INSTALL_DIR}/perl${PERL_VERSION}/)
 
-INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/nflog.so
+INSTALL(TARGETS nflog LIBRARY DESTINATION
 	DESTINATION ${LIB_INSTALL_DIR}/perl${PERL_VERSION}/)

=== python/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
 IF ( PYTHON_EXECUTABLE )
 	EXEC_PROGRAM( ${PYTHON_EXECUTABLE} ARGS "-c \"import sys; print sys.version[:3]\"" OUTPUT_VARIABLE PYTHON_VERSION )
 	STRING( REGEX REPLACE "[\r\n]" " " PYTHON_VERSION "${PYTHON_VERSION}"  )
+	EXECUTE_PROCESS( COMMAND ${PYTHON_EXECUTABLE} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()" OUTPUT_VARIABLE PYTHON_SITE_PACKAGES OUTPUT_STRIP_TRAILING_WHITESPACE)
 ENDIF ( PYTHON_EXECUTABLE )
 
 INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR})
@@ -18,8 +19,7 @@
 SWIG_LINK_LIBRARIES(nflog ${PYTHON_LIBRARIES} ${LIBNFLOG_LINK_FLAGS})
 
 INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/nflog.py
-	DESTINATION ${LIB_INSTALL_DIR}/python${PYTHON_VERSION}/site-packages/)
+	DESTINATION ${LIB_INSTALL_DIR}/python${PYTHON_VERSION}/dist-packages/)
 
-INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/_nflog.so
-	DESTINATION ${LIB_INSTALL_DIR}/python${PYTHON_VERSION}/site-packages/)
-
+INSTALL(TARGETS _nflog LIBRARY DESTINATION
+	DESTINATION ${LIB_INSTALL_DIR}/python${PYTHON_VERSION}/dist-packages/)

=== debian/changelog ===
nflog-bindings (0.2-3.1ubuntu4) artful; urgency=medium

  * No-change rebuild for perl 5.26.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jul 2017 20:11:39 +0000

nflog-bindings (0.2-3.1ubuntu3) zesty; urgency=medium

  * No-change rebuild for perl 5.24 transition

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 24 Oct 2016 10:36:08 +0100

nflog-bindings (0.2-3.1ubuntu2) xenial; urgency=medium

  * Rebuild for Perl 5.22.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Dec 2015 11:24:08 +0000

nflog-bindings (0.2-3.1ubuntu1) xenial; urgency=medium

  * debian/patches/log_bindings_version.patch: Fix name of variable in
    nflog_common.h to avoid implicit pointer conversion.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 13 Dec 2015 20:05:25 -0500

nflog-bindings (0.2-3.1build1) utopic; urgency=medium

  * Rebuild for Perl 5.20.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Aug 2014 13:16:27 +0100

nflog-bindings (0.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "hardcodes /usr/lib/perl5":
    Make debian/libnflog-perl.install executable and use $Config{vendorarch}
    to determine install directory.
    (Closes: #752349)

 -- gregor herrmann <gregoa@debian.org>  Sat, 02 Aug 2014 17:46:31 +0200

nflog-bindings (0.2-3) unstable; urgency=low

  * Add missing CPPFLAGS hardening flags (Closes: #670239).
    Thanks to Simon Ruderich for the bug report and patch.
  * Add 'bindnow' hardening flag

 -- Pierre Chifflier <pollux@debian.org>  Sat, 19 May 2012 16:29:28 +0200

nflog-bindings (0.2-2) unstable; urgency=low

  * Build with python support in debhelper (Closes: #662223)

 -- Pierre Chifflier <pollux@debian.org>  Wed, 02 May 2012 21:57:01 +0200

nflog-bindings (0.2-1) unstable; urgency=low

  * Imported Upstream version 0.2
  * Fix rules files to use correct python module name (Closes: #662223)
  * Bump Standards Version to 3.9.3
  * Remove Debian patches, merged upstream
  * Switch to debhelper 9: shorten the rules file, and enable hardening flags

 -- Pierre Chifflier <pollux@debian.org>  Mon, 16 Apr 2012 21:46:53 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Section: libs
 Priority: extra
 XS-Python-Version: >= 2.6
-Maintainer: Pierre Chifflier <pollux@debian.org>
-Build-Depends: debhelper (>= 5),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Pierre Chifflier <pollux@debian.org>
+Build-Depends: debhelper (>= 9),
     cmake (>= 2.4.5),
     swig (>= 1.3),
     libperl-dev,
     python-all-dev (>= 2.6.6-3~),
     libnetfilter-log-dev,
     chrpath
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: https://www.wzdftpd.net/redmine/projects/nflog-bindings/wiki/
 
 Package: libnflog-perl

=== debian/watch ===
# Watch control file for uscan
# Run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://software.inl.fr//trac/downloads/nflog-bindings/nflog-bindings-(.*).tar.gz
